Get all standing orders for an account
curl --request GET \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-orders \
--header 'Authorization: Bearer <token>' \
--header 'x-grid-environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-orders"
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-grid-environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/standing-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"destinations": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_execution_date": "2023-11-07T05:31:56Z",
"period": "<string>",
"status": "<string>",
"last_execution_date": "2023-11-07T05:31:56Z"
}
]Standing Orders
List Standing Orders
Retrieve all standing orders for the account
GET
/
api
/
grid
/
v1
/
accounts
/
{address}
/
standing-orders
Get all standing orders for an account
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address
Query Parameters
Filter by standing order status
Filter by currency
Filter by start date
Filter by end date
Filter by transaction hash
Limit the number of results
Required range:
x >= 0Pagination cursor
Response
Standing orders retrieved successfully
Was this page helpful?